OpenTTD Source: src/aircraft_gui.cpp File Reference

OpenTTD Source 15.0-RC2

Functions
aircraft_gui.cpp File Reference

The GUI of aircraft. More...

`#include "stdafx.h"`
`#include "aircraft.h"`
`#include "vehicle_gui.h"`
`#include "newgrf_engine.h"`
`#include "strings_func.h"`
`#include "vehicle_func.h"`
`#include "window_gui.h"`
`#include "zoom_func.h"`
`#include "table/strings.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Functions
void | DrawAircraftDetails (const Aircraft *v, const Rect &r)
| Draw the details for the given vehicle at the given position.
void | DrawAircraftImage (const Vehicle *v, const Rect &r, VehicleID selection, EngineImageType image_type)
| Draws an image of an aircraft.

## Detailed Description

The GUI of aircraft.

Definition in file aircraft_gui.cpp.

## Function Documentation

## ◆ DrawAircraftDetails()

void DrawAircraftDetails | ( | const Aircraft * | v,
|  | const Rect & | r
| ) |  |

Draw the details for the given vehicle at the given position.

Parameters

  v | current vehicle
  r | the Rect to draw within

Definition at line 29 of file aircraft_gui.cpp.

References DrawString(), FS_NORMAL, GetCargoSubtypeText(), GetCharacterHeight(), GetString(), SpecializedVehicle< T, Type >::Next(), PackEngineNameDParam(), WidgetDimensions::scaled, VehicleDetails, and WidgetDimensions::vsep_normal.

Referenced by VehicleDetailsWindow::DrawVehicleDetails().

## ◆ DrawAircraftImage()

void DrawAircraftImage | ( | const Vehicle * | v,
|  | const Rect & | r,
|  | VehicleID | selection,
|  | EngineImageType | image_type
| ) |  |

Draws an image of an aircraft.

Parameters

  v | Front vehicle
  r | Rect to draw at
  selection | Selected vehicle to draw a frame around

Definition at line 70 of file aircraft_gui.cpp.

References _current_text_dir, AIR_HELICOPTER, WidgetDimensions::bevel, BorderOnly, Vehicle::cargo_cap, Vehicle::cargo_type, CentreBounds(), Crashed, DIR_E, DIR_W, VehicleSpriteSeq::Draw(), DrawCargoIconOverlay(), DrawFrameRect(), Rect::Expand(), SpecializedVehicle< Aircraft, VEH_AIRCRAFT >::From(), VehicleSpriteSeq::GetBounds(), Vehicle::GetImage(), GetLargestCargoIconSize(), GetVehiclePalette(), Rect::Height(), Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >::index, VehicleSpriteSeq::IsValid(), Vehicle::Next(), PALETTE_CRASH, WidgetDimensions::scaled, ScaleSpriteTrad(), VehicleSpriteSeq::Set(), Vehicle::subtype, TD_RTL, BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >::Test(), UnScaleGUI(), Vehicle::vehstatus, and Rect::Width().

Referenced by DrawVehicleImage(), and DepotWindow::DrawVehicleInDepot().